Name: ovirt-engine-sdk-java
Version: 3.6.8.0
Release: 1.el7
Summary: oVirt Engine Software Development Kit (Java)
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org
Source: http://resources.ovirt.org/pub/ovirt-3.6/src/ovirt-engine-sdk-java/ovirt-engine-sdk-java-3.6.8.0.tar.gz

BuildArch: noarch

BuildRequires: apache-commons-beanutils
BuildRequires: httpcomponents-client
BuildRequires: log4j
BuildRequires: maven-local

%description
This package contains The oVirt-Engine Java Software Development Kit.
With this package, custom java software can be built for oVirt-Engine.

%package javadoc
Summary: Javadocs for %{name}
Group: Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep

# Extract the source:
%setup -q -n %{name}

# Remove the Javadoc "-Xdoclint:none" option, as that isn't available in
# the version of the Javadoc tool available in EL7:
sed -i '/-Xdoclint:/d' pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%{_javadir}/%{name}
%doc AUTHORS.md
%doc README.md
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Tue Jul 5 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.8.0-1
- Document VM pool update options #1318703.

* Tue May 31 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.7.0-1
- Add support for deleting template NICs #1331068.

* Wed Mar 30 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.5.0-1
- Fix RSDL for updating cluster policy #1315657.
- Add support to stop Gluster services #1303539.

* Thu Feb 11 2016 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.3.0-1
- Fix RSDL for adding cluster #1279159.
- Explicitly select version 3 of the API.

* Tue Dec 22 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.2.0-1
- Fix RSDL metadata for provisioned_size #1290012.
- Document the use of All-Content in clusters #1287472.
- VM pools can use use_latest_template_version #1284596.

* Fri Nov 27 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.1.0-1
- Add support for SR-IOV #1231507.

* Wed Oct 14 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.3-1
- Add support for VM pool type #1244841.

* Wed Sep 16 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.2-1
- Added support for user SSH public keys.

* Wed Sep 9 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.1-1
- Don't use deprecated DefaultHttpClient #1255078.
- Get provider certificates from user instead of from backend #1255862.
- Improvements of the host networking API #1136329.
- Report host network QoS also in host NIC and network #1249654.

* Fri Aug 21 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.6.0.0-1
- Added support for engine version 3.6.
- Introduce API builder.
- Add support for Kerberos authentication #1145237.

* Wed Jul 1 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.4.0-1
- Always use UTF-8 for encoding text #1223186.
- The "isattached" action should return an action object #1234937.

* Wed Mar 18 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.2.1-1
- Add principal and namespace parameters to users and groups #1188176.

* Thu Feb 19 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.2.0-1
- Added All-Content support to hosts #1194185.
- Added isattached action to storage domain #1179246.

* Fri Jan 16 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.1.0-1
- Added support for the operations to move, copy and export disks using
  the top level disks collection #1169376.
- Replaced storage_manager with spm #1146457.
- Added support for reconfigure firewall (override_iptables) to the host
  installation action #1179613.
- Added support for importing block storage domains #1181681.
- Fixed support for listing unregistered VMs #1148715.
- Added support for setting memory ballooning #1149188.
- Added support for specifying cluster during migration #1150191.
- Added snapshot id to documentation of preview action #1150071.
- Added custom_properties to templates #1166632.
- Added logical_name to disks #1063597.

* Wed Sep 10 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.5-1
- Added support for watchdog action and model #1129840.

* Wed Sep 3 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.4-1
- Added support for network QoS.
- Added support to enable/disable sound card to VM, pool and template.

* Wed Aug 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.3-1
- Added support for QoS, including CPU and disk profiles.
- Added support for iSCSI bonds.

* Fri Jul 18 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.2-1
- Avoid NPE when receiving null lists #1119812.
- Fix optional parameters of add template #1109548.
- Fix parameters of add DataCenter #1104085.
- Fix update VM optional parameters #1082594.

* Wed Jul 9 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.1-1
- Added NUMA support.
- Added actions to copy and move disks #1097681.
- Added file_transfer_enabled and copy_paste_enabled elements to Display.
- Added protocol element to Host.
- Added support for Gluster volume profiling.
- Added support for instance types.
- Added support for quota.id parameter for disks.
- Added support for random number generator device.
- Added support for scheduling policies.
- Added support storage domains disks sub-collection.
- Added support to register VMs and templates.
- Support X-Ovirt-Expect header #1093784.

* Thu May 22 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.0-1
- Regenerate for version 3.5 of the engine.
- Added action to undelete events.
- Added base_interface to host_nic.
- Added boot_menu to VM and template.
- Added custom properties to host_nic.
- Added disksnapshots sub-collection to storagedomains.
- Added domain_entry_id to users and groups.
- Added sessions sub-collection to vms.
- Added support for Gluster volume statistics.
- Added support for VM and template custom serial numbers.
- Added support for bookmarks.
- Added support for deleting VM disk snapshots.
- Added support for reporting VM SELinux configuration.
- Added support for reporting VM kdump configuration.
- Added support for reporting architecture capabilities.
- Added tags sub-collection to templates.
- Add method to get entity by string id #1099818.

* Wed May 7 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.1.1-1
- Added maintenance operation to VM.
- Added hosted_engine element to Host.
- Added labels to Network.
- Added labels to HostNIC.

* Wed Apr 23 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.1.0-1
- Added actions to preview, commit and undo snapshots.
- Added support for affinity groups.
- Added support to import a VM as template.
- Removed external_id from users and groups.
- Renamed cloud_init.hostname to cloud_init.host.address.

* Thu Mar 13 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.7-1
- Added overloads for new headers #1073417.

* Fri Feb 28 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.6-1
- Removed ip.mtu parameter from host NIC update operation #1049611.

* Thu Feb 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.5-1
- Added template versions support.

* Tue Feb 18 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.4-1
- Add allContent parameter to relevant methods.

* Fri Jan 24 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.3-1
- Don't add parameters with null values #1047638

* Thu Jan 9 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.2 - 1
- Add "UsageMessage" class to represent detailed error messages
  returned by the engine #867794.
- Document "async" and "grace_period.exire" parameters of relevant
  actions #1047654.
- Add "stopTime" property to the VM class #1042854.

* Tue  Dec 17 2013 Michael Pasternak <mpastern@redhat.com> - 3.4.0.1-1
- to vms.add() added [action.vm.initialization.cloud-init]
- to NIC added OnBoot/BootProtocol properties
- to VersionCaps added a list of supported payload-encodings
- to Step added externalType
- to NIC added vnicProfile and bootProtocol
- to CPU added architecture
- to VnicProfilePermission added delete() method
- to Disk added readOnly
- to VMs.add() added [vm.cpu.architecture], [action.vm.initialization.cloud_init.*] arguments
- to Templates.add() added [template.cpu.architecture], [action.template.initialization.cloud_init.*] arguments
- to UserRoles.add() added permit.id|name arguments
- at VMSnapshot removed preview/undo/commit methods
- to DataCenterClusterGlusterVolumeGlusterBricks added activate/stopmigrate/migrate actions
- to NetworkVnicProfile added Permissions sub-collection
- to Cluster added [cluster.cpu.architecture]
- to DataCenter added Networks sub-collection
- to ClusterGlusterVolumeGlusterBricks added activate method
- to ClusterGlusterVolume added stoprebalance method
- to entry-point API added Permissions collection (for managing system-permissions)
- to host.install() added ssh related arguments
- to template added virtio_scsi.enabled
- to vm added virtio_scsi.enabled
- added ability to attach a disk snapshot to the virtual machine
- to File class added 'content' field
- Payload class now reuses Files instead of own PayloadFile collection

* Wed  Oct 9 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.18-1
- added fqdn property to GuestInfo
- refine host add()/update() documentation
- to DataCenterStorageDomainDisk added exportDisk() action
- to StorageDomainDisk added exportDisk() action
- to TemplateDisk added exportDisk() action
- to VMDisk added exportDisk() action
- to Disk added exportDisk() action
- update function doesn't have overloading methods #1008176
- setupnetworks doesn't work #1008458
- apache PropertyUtilsBean throws NoSuchMethodException #1007266
- session_timeout parameter doesn't exists in API constructor #1007231

* Wed  Sep 11 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.17-1
- VCpuPin renamed to VCpuPin
- Host.getRebootAfterInstallation() returns False (null was expected) #985842
- make all sdk exceptions serializable

* Tue  Sep 3 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.16-1
- mvn compile with jdk 1.7

* Tue  Sep 3 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.15-1
- added StorageDomainStorageConnection.delete() signature
- added StorageDomainStorageConnection.delete(Boolean async) signature
- added StorageDomainStorageConnections.add(StorageConnection storageconnection) signature
- added StorageDomainStorageConnections.add(StorageConnection storageconnection,
                                            String expect, String correlationId) signature
- add ParameterSet descriptions
- implement AutoCloseable interface
- in Cluster added glusterhooks (ClusterGlusterHooks) sub-collection
- in DataCenterCluster added glusterhooks (DataCenterClusterGlusterhooks)
  sub-collection
- in StorageDomain added images (StorageDomainImages) sub-collection

* Tue  Aug 13 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.14-1
- added VnicProfiles root-collection
- to network added VnicProfiles sub-collection
- to storagedomain added StorageConnections sub-collection
- to VnicProfile added Permission sub-collection
- to network.add()/.updated added [network.profile_required]
- to NICs.add() added new overload with [nic.vnic_profile.id]
- to NIC.update() added new overload with [nic.vnic_profile.id]
- to VMSnapshots.list()/.get() added [String allContent] parameter
- to VMs.add() added new overload based on [vm.initialization.configuration.type|data]
- added root collection StorageConnections
- added [host.override_iptables]
- added [template.cpu_shares]
- added [template.display.single_qxl_pci]
- added [vm.display.single_qxl_pci]
- added [vm.cpu_shares]
- to template added:
- [@param template.console.enabled: boolean] #878459
- to vm added:
- [@param vm.console.enabled: boolean] #878459
- to Cluster added:
  *[@param cluster.comment: string]
  *[@param cluster.ballooning_enabled: boolean]
  *[@param cluster.tunnel_migration: boolean]
- to Host added:
  *[@param host.comment: string]
  *[@param host.ssh.port: int]
  *[@param host.ssh.fingerprint: string]
  *[@param host.ssh.authentication_type: string]
  *[@param host.ssh.password: string]
  *forceselectspm() action
- to Network added:
  *[@param network.comment: string]
- to StorageDomain
  *[@param storagedomain.comment: string]
- to Template added:
  *[@param template.comment: string]
  *[@param template.permissions.clone: boolean]
- to VM added:
  *[@param vm.comment: string]
  *[@param vm.permissions.clone: boolean]

* Thu  Jul 18 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.13-1
- dependencies changes

* Tue  Jul 16 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.11-1
- added "watchdog" feature #947977
- added "external tasks" feature #872719
- snapshot can persist/restore memory state now #960931

* Mon  Jul 8 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.10-1
- to cluster.add()/.update() added [trusted_service] property
- implement Secure Socket Layer (SSL) host verification (CA certificate)
- allow nullifying headers via passing NULL as header value

* Tue  Jun 25 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.8-1
- implement support for the /capabilities resource
- implement basic debugging capabilities
- added VMApplications sub-collection
- to datacenter added new field [comment]
- to disk added [sgio] field to enable|disable filtering for the ScsiGenericIo
- to StorageDomain.delete() added storagedomain.host.id|name
- implement basic debugging capabilities
- to VmPool added MaxUserVMs property
- to cluster.update() added [cluster.data_center.id]
- to host.fence() added action.fence_type
- to storagedomain.delete() added [storagedomain.format]
- to nic added [nic.custom_properties.custom_property]
- to vm.add(), vm.update() added [vm.memory_policy.guaranteed]

* Tue  Jun 4 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.7-1
- updated storagedomain add()/update() docs
- updated tag update() docs
- enable correct generation of Boolean getters/setters
  to enable Bean Introspection apis (bollean getters will
  be prefixed with getX())
- fixed docs for GlusterBricks add|update
- fixed docs for add|update Tag
- added [network.usages.usage] to ClusterNetworks
- in add TemplateNICs, network.id|name is no longer mandatory
- StorageDomainVM can be removed asynchronously now
- removed DataCenterQuota.add|delete (yet not supported)

* Thu  Apr 4 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.6-1
- added new collection ClusterGlusterVolumeGlusterBrickStatistics
- added new properties to the GlusterBrick
- to vm added cpu.mode
- to host install action added "image" parameter
- ignore case in factory method lookup

* Thu  Mar 7 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.5-1
- use explicit classloader for JAXBContext
- implement support for (user defined) session authentication
- implement generic JAXBElement generation
- to DataCenterStorageDomain added Disks sub-collection
- to StorageDomain added Disks sub-collection
- to host added display.address property
- to vms.add() added overload for creating vm from snapshot

* Sun  Feb 24 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.4-1
- implement SSL support (without host verification)
- implement shutdown() to deallocate system resources
- to cluster added tunnel_migration property
- to DataCenter added Clusters sub-collection
- to root collection resource Disk added Permissions sub-collectio
- to root collection resource Disk added Statistic sub-collection
- host can be attached to cluster now either by id or name
- to StorageDomainTemplate added Disks sub-collection
- to StorageDomainVM added Disks sub-collection
- to template.display added keyboard_layout property
- to template added tunnel_migration property
- to vm.display added keyboard_layout property
- to vm added tunnel_migration property
- to VMSnapshot added preview method
- to VMSnapshot added undo method
- to VMSnapshot added commit method

* Wed  Jan 30 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.3-1
- added persistent authentication support
- added support for the method overloads based on url/headers params
- added delete methods overloads with body as parameters holder
- to host added overrideable [display.address] property
- user can specify own ticket now in vm.ticket() via [action.ticket.value]

* Wed  Jan 16 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.2-1
- in vm/vmnic device property renamed to reportedDevice
- to host added libvirtVersion
- addresses an issue when API constructor when NULLs used as parameters

* Tue Jan  15 2013 Michael Pasternak <mpastern@redhat.com> - 1.0.0.1-1
- implement parametrized list() methods
- events can be added now (user defined events)
- events can be removed now
- host can be added now by using cluster.name (not only cluster-id)
- NIC now has "linked" property
- NIC now has "plugged" property
- VM has now ReportedDevices sub-collection
- VMNIC has now ReportedDevices sub-collection
- to host add/update added power_management.agents parameter
- to disk added permissions sub-collection
- to PowerManagement added Agents collection
- to VMDisk added move() action
- to host added hooks sub-collection
- to cluster added threads_as_cores property
- to host added hardwareInformation property
- to host added OS property
- added force flag to the host.delete() method
- added host.power_management.pm_proxy sub-collection
- added permissions sub-collection to the network
- added search capabilities to api.networks collection
- added deletion protection support to template/vm via .delete_protected property

* Sun Dec 2 2012 Michael Pasternak <mpastern@redhat.com> - 1.0.0.1-1
- Initial Import
